MODX 2.5.4

Для загрузки доступна новая версия MODX Revolution 2.5.4-pl. Версии 2.5.3 нет и не будет, потому что там была ошибка в инсталляторе — так что сразу 2.5.4:
  • Обновление PHPMailer закрывает возможность выполнения произвольного кода через него
  • Улучшение работы на MSSQL
  • Исправлен вывод загруженных версий пакета в админке
  • Font Awesome обновлён до версии 4.7.0
  • Чуток улучшен внешний вид страницы входа в админку — с неё убрали дублирующие надписи в полях ввода. Теперь по одной странице логина можно отличать 2.5.4 от старых версий.
Официальный анонс вот здесь, а полный changelog вот здесь.

Пользователи modhost.pro уже могут обновляться через панель управления.
Василий Наумкин
04 января 2017, 04:12
modx.pro
3 511
+13

Комментарии: 12

Николай
04 января 2017, 12:07
0
Спасибо за новость, заглянул и расстроился давно слежу заэтой правкой, еще с 3 декабря есть решения, а в пакет так и не вошло.
Вот так и живешь, после каждого апдейта свои допиливания вносишь))

    Константин Ильин
    04 января 2017, 12:46
    0
    У меня одного через simpleUpdater не обновляется?
      Здоров Александр
      04 января 2017, 13:42
      0
      сначала Илья должен залить новую версию
      P.S. бомбить личку не нужно, я уже написал просьбу обноить
      Bluetenstadt
      04 января 2017, 13:42
      -1
      Чуток улучшен внешний вид страницы входа в админку — с неё убрали дублирующие надписи в полях ввода.
      да тьфу на их дизайн, когда есть MetroniX (моё мнение).
        Здоров Александр
        04 января 2017, 13:45
        0
        да, тема классная, но не забываем, что тема платная и распространена, думаю, только в русском сообществе. Тема Dark из AdminTools не уступает в качестве использования, выступая бесплатной альтернативой
          Bluetenstadt
          04 января 2017, 15:25
          0
          всяк кулик своё болото хвалит.
        Александр
        04 января 2017, 16:23
        0
        Это уже похоже на тренд)
        Windows: 7 — 8 — 8.1 — 10
        Angular: 1 — 2 — 4
        Кто ещё и кто дальше?)
        Андрей
        04 января 2017, 19:13
        0
        Подскажите, что за шляпа при попытке обновиться:
        [crit] 1054#1054: *1841085 openat() «www.site.ru/does_not_exists» failed (40: Too many levels of symbolic links), client: xx.xx.xxx.xx, server: site.ru, request: «GET /install.php HTTP/1.1», host: «www.site.ru»
          Валерий
          05 января 2017, 22:08
          0
          А кто-нибудь из установивших обновление столкнулся в начале января с самим спамом, через эту уязвимость в PHPMailer?
            Павел Гвоздь
            05 января 2017, 23:25
            +4
            Мне другое интересно: кто-нибудь столкнулся с тем, что разархивирование не работает вплоть с 2.5.2? А в 2.5.4 его так и не исправили, хотя я отправлял PR ~месяц назад? Никого это не смущает?)
            Авторизуйтесь или зарегистрируйтесь, чтобы оставлять комментарии.
            12